Bug 1260505 - RFE : cli improvements for ganesha
Summary: RFE : cli improvements for ganesha
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: ganesha-nfs
Version: mainline
Hardware: All
OS: All
urgent
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1260509 1261444
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-07 06:27 UTC by Jiffin
Modified: 2018-11-19 05:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-19 05:20:23 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 568 0 None None None 2018-11-19 05:40:01 UTC

Description Jiffin 2015-09-07 06:27:10 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Atin Mukherjee 2017-01-25 08:38:07 UTC
The bug description has no details here, what are we supposed to enhance? I am assigning this to nfs-ganesha component for further details and actions.

Comment 2 Jiffin 2017-01-25 09:58:11 UTC
AFAIR  I filed this bug to introduce force option for ganesha cli's. If somehow the option "nfs-ganesha" or vol set option "ganesha.enable" are inconsistent across the cluster, then there is no way come out of that state via cli. By introducing "force", the existing inconsistency can over writte.

Comment 3 Vijay Bellur 2018-11-19 05:40:01 UTC
Migrated to github:

https://github.com/gluster/glusterfs/issues/568

Please follow the github issue for further updates on this bug.


Note You need to log in before you can comment on or make changes to this bug.